public class Rectangle: Shape
{
  protected int width, height;  // largeur et hauteur

  public Rectangle(int x, int y, int width, int height): base(x, y)
  {
    this.width = width;
    this.height = width;
  }

  public int Width
  {
    get { return width; }
  }

  public int Height
  {
    get { return height; }
  }

  public void accept(Visitor v) { v.visit(this); }
}
